Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_TTY_IO::Serial_Params Struct Reference

`#include <TTY_IO.h>`

List of all members.

## Public Methods
| Serial_Params (void)
## Public Attributes
int | baudrate
int | parityenb
const char * | paritymode
int | databits
int | stopbits
int | readmincharacters
int | readtimeoutmsec
int | ctsenb
int | rtsenb
int | xinenb
int | xoutenb
int | modem
int | rcvenb
int | dsrenb
int | xonlim
int | xofflim
int | dtrdisable

## Constructor & Destructor Documentation

ACE_TTY_IO::Serial_Params::Serial_Params | ( | void |  | ) |

## Member Data Documentation

int ACE_TTY_IO::Serial_Params::baudrate

int ACE_TTY_IO::Serial_Params::ctsenb

int ACE_TTY_IO::Serial_Params::databits

int ACE_TTY_IO::Serial_Params::dsrenb

int ACE_TTY_IO::Serial_Params::dtrdisable

int ACE_TTY_IO::Serial_Params::modem

int ACE_TTY_IO::Serial_Params::parityenb

const char* ACE_TTY_IO::Serial_Params::paritymode

int ACE_TTY_IO::Serial_Params::rcvenb

int ACE_TTY_IO::Serial_Params::readmincharacters

int ACE_TTY_IO::Serial_Params::readtimeoutmsec

int ACE_TTY_IO::Serial_Params::rtsenb

int ACE_TTY_IO::Serial_Params::stopbits

int ACE_TTY_IO::Serial_Params::xinenb

int ACE_TTY_IO::Serial_Params::xofflim

int ACE_TTY_IO::Serial_Params::xonlim

int ACE_TTY_IO::Serial_Params::xoutenb

The documentation for this struct was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/TTY_IO.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/TTY_IO.cpp